Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.access
Class QSimpleAccess

    java.lang.Object
      |
      +--com.jxml.quick.access.QAccess
            |
            +--com.jxml.quick.access.QSimpleAccess

Direct Known Subclasses:
  QIdAccess, QOptionalAccess, QPEClassAccess, QPETargetClassAccess, QPublicAccess, QSystemAccess, QTagNameAccess

public abstract class QSimpleAccess
extends QAccess

Constructor Summary
`QSimpleAccess()`

Method Summary
`abstract void` | `add(Object parent, QTargetFactory parentFactory, Object child, QContext context)`
`QIterator` | `createIterator()`
`protected abstract Object` | `get(Object parent, QContext context)`
`boolean` | `readable(QTargetFactory parentFactory, QContext context)`
`void` | `setIteratorParent(QIterator it, Object parent, QTargetFactory parentFactory, QContext context)`
`boolean` | `writeable(QTargetFactory parentFactory, QContext context)`

Methods inherited from class com.jxml.quick.access.QAccess
`allocateIterator, releaseIterator, reserve, set`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QSimpleAccess

    public QSimpleAccess()

Method Detail

### readable

    public boolean readable(QTargetFactory parentFactory,
                            QContext context)
                     throws QPE

  Overrides:
    `readable` in class `QAccess`

### createIterator

    public QIterator createIterator()

  Overrides:
    `createIterator` in class `QAccess`

### get

    protected abstract Object get(Object parent,
                                  QContext context)
                           throws QPE

### setIteratorParent

    public void setIteratorParent(QIterator it,
                                  Object parent,
                                  QTargetFactory parentFactory,
                                  QContext context)
                           throws QPE

  Overrides:
    `setIteratorParent` in class `QAccess`

### writeable

    public boolean writeable(QTargetFactory parentFactory,
                             QContext context)
                      throws QPE

  Overrides:
    `writeable` in class `QAccess`

### add

    public abstract void add(Object parent,
                             QTargetFactory parentFactory,
                             Object child,
                             QContext context)
                      throws QPE

  Overrides:
    `add` in class `QAccess`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD